KDE 4.7 PyKDE API Reference

- KDE's Python API

# Marble Namespace Reference

`from PyKDE4.marble.Marble import *`

## Detailed Description

A QAbstractItemModel that contains a list of routing instructions. Each item represents a routing step in the way from source to destination. Steps near the source come first, steps near the target last.

## Class Index

A | GeoDataLineStyle (Marble) | MarbleModel (Marble)
AbstractDataPlugin (Marble) | GeoDataLod (Marble) | MarbleNavigator (Marble)
AbstractDataPluginItem (Marble) | GeoDataLookAt (Marble) | MarbleRunnerManager (Marble)
AbstractDataPluginModel (Marble) | GeoDataMultiGeometry (Marble) | MarbleWidget (Marble)
AbstractFloatItem (Marble) | GeoDataObject (Marble) | N
AbstractMarbleGraphicsLayout (Marble) | GeoDataOuterBoundary (Marble) | NavigationWidget (Marble)
AbstractProjection (Marble) | GeoDataPlacemark (Marble) | P
AbstractWorkerThread (Marble) | GeoDataPoint (Marble) | Planet (Marble)
AlternativeRoutesModel (Marble) | GeoDataPolygon (Marble) | PluginAboutDialog (Marble)
B | GeoDataPolyStyle (Marble) | PluginInterface (Marble)
BookmarkManager (Marble) | GeoDataRegion (Marble) | PositionTracking (Marble)
C | GeoDataStyle (Marble) | Q
ClipPainter (Marble) | GeoDataStyleMap (Marble) | QtMarbleConfigDialog (Marble)
CurrentLocationWidget (Marble) | GeoDataStyleSelector (Marble) | Quaternion (Marble)
D | GeoDocument (Marble) | Quaternion (Marble)
DownloadRegionDialog (Marble) | GeoGraphicsItem (Marble) | R
E | GeoGraphicsScene (Marble) | RenderPlugin (Marble)
ElevationModel (Marble) | GeoNode (Marble) | RenderPluginInterface (Marble)
F | GeoPainter (Marble) | Route (Marble)
FileViewWidget (Marble) | GeoSceneLayer (Marble) | RouteRequest (Marble)
FrameGraphicsItem (Marble) | L | RouteSegment (Marble)
G | LabelGraphicsItem (Marble) | RoutingModel (Marble)
GeoDataAbstractView (Marble) | LatLonBoxWidget (Marble) | RoutingProfile (Marble)
GeoDataAccuracy (Marble) | LatLonEdit (Marble) | RunnerPlugin (Marble)
GeoDataColorStyle (Marble) | LayerInterface (Marble) | S
GeoDataContainer (Marble) | LegendWidget (Marble) | ScreenGraphicsItem (Marble)
GeoDataCoordinates (Marble) | M | SunLocator (Marble)
GeoDataDocument (Marble) | Maneuver (Marble) | T
GeoDataFeature (Marble) | MapThemeManager (Marble) | TileCoordsPyramid (Marble)
GeoDataFolder (Marble) | MapViewWidget (Marble) | TileCreator (Marble)
GeoDataGeometry (Marble) | MapWizard (Marble) | TileCreatorSource (Marble)
GeoDataHotSpot (Marble) | MarbleAboutDialog (Marble) | TileLevelRangeWidget (Marble)
GeoDataIconStyle (Marble) | MarbleAbstractRunner (Marble) | TinyWebBrowser (Marble)
GeoDataInnerBoundary (Marble) | MarbleControlBox (Marble) | V
GeoDataLabelStyle (Marble) | MarbleDirs (Marble) | ViewportParams (Marble)
GeoDataLatLonAltBox (Marble) | MarbleGlobal (Marble) | W
GeoDataLatLonBox (Marble) | MarbleGraphicsGridLayout (Marble) | WidgetGraphicsItem (Marble)
GeoDataLinearRing (Marble) | MarbleGraphicsItem (Marble) |
GeoDataLineString (Marble) | MarbleMap (Marble) |

## Enumerations
<anonymous> | { Q_X, Q_Y, Q_Z, Q_W }
<anonymous> | { Q_X, Q_Y, Q_Z, Q_W }
AltitudeMode | { ClampToGround, RelativeToGround, Absolute }
AngleUnit | { DMSDegree, DecimalDegree, UTM }
Dimension | { Latitude, Longitude }
DocumentRole | { UnknownDocument, MapDocument, UserDocument, TrackingDocument, BookmarkDocument, SearchResultDocument }
DownloadUsage | { DownloadBulk, DownloadBrowse }
DragLocation | { KeepAxisVertically, FollowMousePointer }
FlyToMode | { Automatic, Instant, Linear, Jump }
GraphicsSystem | { NativeGraphics, RasterGraphics, OpenGLGraphics }
LabelLocalization | { CustomAndNative, Custom, Native }
LabelPositionFlag | { NoLabel, LineStart, LineCenter, LineEnd, IgnoreXMargin, IgnoreYMargin }
MapQuality | { OutlineQuality, LowQuality, NormalQuality, HighQuality, PrintQuality }
OnStartup | { ShowHomeLocation, LastLocationVisited }
Pole | { AnyPole, NorthPole, SouthPole }
Projection | { Spherical, Equirectangular, Mercator }
ProxyType | { HttpProxy, Socks5Proxy }
TessellationFlag | { NoTessellation, Tessellate, RespectLatitudeCircle, FollowGround, RotationIndicatesFill, SkipLatLonNormalization }
ViewContext | { Still, Animation }
## Functions
bool | operator == (Marble.GeoDataLatLonAltBox lhs, Marble.GeoDataLatLonAltBox rhs)
## Attributes
int | latLonAltBoxSamplingRate
int | tessellationPrecision

## Enumeration Documentation

anonymous

Enumerator:

  Q_X |
  Q_Y |
  Q_Z |
  Q_W |

anonymous

Enumerator:

  Q_X |
  Q_Y |
  Q_Z |
  Q_W |

AltitudeMode

Enumerator:

  ClampToGround |
  RelativeToGround |
  Absolute |

AngleUnit

This enum is used to choose the unit chosen to measure angles.

Enumerator:

  DMSDegree |
  DecimalDegree |
  UTM |

Dimension

This enum is used to choose the dimension.

Enumerator:

  Latitude |
  Longitude |

DocumentRole

Enumerator:

  UnknownDocument |
  MapDocument |
  UserDocument |
  TrackingDocument |
  BookmarkDocument |
  SearchResultDocument |

DownloadUsage

This enum is used to describe the type of download

Enumerator:

  DownloadBulk |
  DownloadBrowse |

DragLocation

This enum is used to choose how the globe behaves while dragging.

Enumerator:

  KeepAxisVertically |
  FollowMousePointer |

FlyToMode

Describes possible flight mode (interpolation between source and target camera positions)

Enumerator:

  Automatic |
  Instant |
  Linear |
  Jump |

GraphicsSystem

This enum is used to choose which graphics system Qt is using.

Enumerator:

  NativeGraphics |
  RasterGraphics |
  OpenGLGraphics |

LabelLocalization

This enum is used to choose the localization of the labels.

Enumerator:

  CustomAndNative |
  Custom |
  Native |

LabelPositionFlag

This enum is used to choose the localization of the labels.

Enumerator:

  NoLabel = 0x0 |
  LineStart = 0x1 |
  LineCenter = 0x2 |
  LineEnd = 0x4 |
  IgnoreXMargin = 0x8 |
  IgnoreYMargin = 0x10 |

MapQuality

This enum is used to choose the map quality shown in the view.

Enumerator:

  OutlineQuality |
  LowQuality |
  NormalQuality |
  HighQuality |
  PrintQuality |

OnStartup

This enum is used to choose how the globe behaves while dragging.

Enumerator:

  ShowHomeLocation |
  LastLocationVisited |

Pole

Enumerator:

  AnyPole |
  NorthPole |
  SouthPole |

Projection

This enum is used to choose the projection shown in the view.

Enumerator:

  Spherical |
  Equirectangular |
  Mercator |

ProxyType

This enum is used to specify the proxy that is used.

Enumerator:

  HttpProxy |
  Socks5Proxy |

TessellationFlag

Enumerator:

  NoTessellation = 0x0 |
  Tessellate = 0x1 |
  RespectLatitudeCircle = 0x2 |
  FollowGround = 0x4 |
  RotationIndicatesFill = 0x8 |
  SkipLatLonNormalization = 0x10 |

ViewContext

This enum is used to choose context in which map quality gets used.

Enumerator:

  Still |
  Animation |

## Function Documentation

bool operator == | ( | Marble.GeoDataLatLonAltBox | lhs,
|  | Marble.GeoDataLatLonAltBox | rhs
| ) |  |  |

A class that defines a 3D bounding box for geographic data.

GeoDataLatLonAltBox is a 3D bounding box that describes a geographic area in terms of latitude, longitude and altitude.

The bounding box gets described by assigning the northern, southern, eastern and western boundary. So usually the value of the eastern boundary is bigger than the value of the western boundary. Only if the bounding box crosses the date line then the eastern boundary has got a smaller value than the western one.

## Attribute Documentation

int latLonAltBoxSamplingRate

int tessellationPrecision